Android Question Can't install to AVD Emulator

Discussion in 'Android Questions' started by Dianzoa, Jun 7, 2019.

  1. Dianzoa

    Dianzoa Active Member Licensed User

    I'm trying the emulator, always used a real device with b4a bridge, but now I need to test it on different versions. But the install file error occurs always. Anyone know how to solve this issue?

    upload_2019-6-7_5-9-29.png
     
  2. Dianzoa

    Dianzoa Active Member Licensed User

    Ok, I could install it by the command line as the image below show it. But it only works on avd 24 not on avd 28, it closes the app, when I click login, which call an http API to manage the login. In the 24 version it works ok. So the problem with the app is in Android 9, I think I follow all directions to implement projects made with b4a 8.50.
    I still using the httputils2 lib

    upload_2019-6-7_5-59-9.png
     
  3. DonManfred

    DonManfred Expert Licensed User

  4. Dianzoa

    Dianzoa Active Member Licensed User

    I change the httputils lib with the OKHttp etc, and works ok on the android 9 emulator. The only problem I got with this approach is that I can't debug. Since I can't run it from the B4A IDE.
     
  5. Johan Hormaza

    Johan Hormaza Active Member Licensed User

  6. Dianzoa

    Dianzoa Active Member Licensed User

    Johan Hormaza likes this.
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice